self.onmessage = (event) => {
  const file = event.data
  const CHUNK_SIZE = 1024 * 1024 // 每个分块的大小，这里设置为1MB

  const totalChunks = Math.ceil(file.size / CHUNK_SIZE)
  let uploadedChunks = 0

  const uploadChunk = (chunk) => {
    // 模拟上传过程，这里使用setTimeout来模拟异步上传
    setTimeout(() => {
      uploadedChunks++
      const progress = Math.floor((uploadedChunks / totalChunks) * 100)
      self.postMessage({ type: 'progress', payload: progress })

      if (uploadedChunks === totalChunks) {
        self.postMessage({ type: 'success' })
      } else {
        // 继续上传下一个分块
        uploadChunk()
      }
    }, 1000)
  }

  // 开始上传第一个分块
  uploadChunk()
}
